package com.pesets.game.skills;

import java.util.ArrayList;

public class SkillFactory {
	public static ArrayList<Skill> generateSkills()
	{
		ArrayList<Skill> skills = new ArrayList<Skill>();
		skills.add(new SkillSlash());
		skills.add(new SkillBackstab());
		skills.add(new SkillMagicArrow());
		
		skills.add(new SkillCrit());
		skills.add(new SkillComboStrike());
		skills.add(new SkillArcaneStrike());
		
		skills.add(new SkillStun());
		skills.add(new SkillDodge());
		skills.add(new SkillHeal());
		
		skills.add(new SkillVamp());
		skills.add(new SkillBomb());
		skills.add(new SkillFreeze());
		
		skills.add(new SkillArmor());
		skills.add(new SkillPoison());
		skills.add(new SkillFireball());
		
		skills.add(new SkillBerserk());
		skills.add(new SkillInstantKill());
		skills.add(new SkillRefresh());
		
		return skills;
	}
}
